<template>
  <div>
    <!-- desktop  -->
    <div class="mainWidth topBox gt-md fixed-top">
      <div class="row justify-between">
        <div class="q-pl-md q-pt-sm cursor-pointer" @click="goToHome()">
          <img
            src="../../public/logo.svg"
            style="height: 40px"
            alt="อ่านหนังสือการ์ตูนออนไลน์ มังงะ แปลไทย มังฮวา Manga เกาหลี จีน ออนไลน์ ฝรั่ง อัพเดททุกวัน"
          />
        </div>

        <div class="searchBox q-pr-md">
          <q-input
            v-model="txtSearch"
            dense
            placeholder="ค้นหา"
            @keyup.enter="searchBtn()"
          >
            <template v-slot:append>
              <q-icon name="search" />
            </template>
          </q-input>
        </div>
      </div>
    </div>
    <!-- mobile & tablet -->
    <div class="lt-lg fixed-top topBox">
      <div class="row justify-between">
        <div class="q-pl-md q-pt-sm cursor-pointer" @click="goToHome()">
          <img src="../../public/logo.svg" style="height: 30px" />
        </div>

        <div class="q-pr-md q-pt-sm">
          <q-icon name="fas fa-search" size="24px" @click="searchPopUp()" />
        </div>
      </div>
      <hr />
    </div>

    <q-dialog v-model="searchPopUpShow" persistent>
      <q-card class="search-main-div">
        <div class="text-h6 q-pt-sm" align="center">คำค้นหา</div>
        <div class="q-px-md q-pt-md">
          <q-input v-model="txtSearch" outlined dense ref="inputSearch" />
        </div>
        <div class="row q-pt-md justify-center">
          <div>
            <q-btn
              color="white"
              text-color="black"
              outline
              label="ยกเลิก"
              unelevated
              style="width: 100px"
              @click="cancelBtn()"
            />
          </div>
          <div style="width: 30px"></div>
          <div>
            <q-btn
              color="primary"
              text-color="white"
              label="ค้นหา"
              unelevated
              style="width: 100px"
              @click="searchBtn()"
            />
          </div>
        </div>
      </q-card>
    </q-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      txtSearch: "",
      searchPopUpShow: false,
    };
  },
  methods: {
    goToHome() {
      if (this.$route.name != "main") {
        this.$router.push("/");
      }
    },
    searchBtn() {
      if (this.txtSearch.length < 3) {
        this.redNotify("คำค้นหาต้องมีอย่างน้อย 3 ตัวอักษร");
      } else {
        this.searchPopUpShow = false;
        this.$router.push("/search/" + this.txtSearch);
      }
    },
    searchPopUp() {
      this.txtSearch = "";
      this.searchPopUpShow = true;
      setTimeout(() => {
        this.$refs.inputSearch.focus();
      }, 20);
    },
    cancelBtn() {
      this.searchPopUpShow = false;
    },
  },
};
</script>

<style lang="scss" scoped>
.searchBox {
  width: 250px;
}
.topBox {
  border: 1px solid #d9d9d9;
  height: 55px;
  background-color: white;
  z-index: 2000;
}
.search-main-div {
  min-width: 300px;
  height: 170px;
}
</style>
